#1139 Password Safe 3.32 Won't Create Backups Numbered Higher than 001

v1.0_(example)
closed
None
1
2014-03-07
2013-10-28
Gil
No

I have a database named passwords.psafe3.

My "Backups" tab says the following:
- Save database immediately after Edit or Add (checked)
- Create intermediate backups before saving (checked)
- Backup Name Base: Database name
- Suffix: Incremented Number (001-999)
o Max. 100
- Backup Directory: Same as Database's

In my directory, I have files passwords_NNN.ibak, where NNN goes from 064 to 999. (I may have had the max higher once.) I also have passwords_001.ibak.

The application will no longer create any new backup files. Instead, every backup file is named passwords_001.ibak, overwriting the old one. Thus:
- passwords_001.ibak was written 10/28/2013, 6:02am
- passwords_999.ibak was written 4/24/2013, 9:37am
- passwords_998.ibak was written 4/23/2013, 11:46am
... back to ...
- passwords_064.ibak was written 3/20/2012, 6:38am

Is this a known bug - that the application will never go on to passwords_002.ibak? Is there any way to work around it until it is fixed?

Discussion

  • Rony Shapiro

    Rony Shapiro - 2013-10-31

    Looks like a flaw in the rollover logic when the app finds _999.ibak.
    Possible workarounds:
    1. Move all the existing .ibak files to another directory (or delete them).
    2. Change the backup Base from the database name to something else.
    3. Change the suffix from "incremented number" to "date".

     
  • Rony Shapiro

    Rony Shapiro - 2013-11-01
    • status: open --> accepted
     
  • Rony Shapiro

    Rony Shapiro - 2013-11-01

    Looked into this a bit more:
    1. This is not new for 3.32
    2. Fix is not trivial without risking losing some backups, especially if people change the number of backup to keep.

     
  • Rony Shapiro

    Rony Shapiro - 2013-11-02
    • status: accepted --> pending
    • assigned_to: Rony Shapiro
     
  • Rony Shapiro

    Rony Shapiro - 2013-11-02

    Fixed for the common case (number of inc backups unchanged). Commit 15f2a39

     
  • Rony Shapiro

    Rony Shapiro - 2014-03-07
    • Status: pending --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks